DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FTBox

Generates the Fourier transform of a box

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTBox ( image, length, scale, amplitude )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of a box with the half length of its sides specified by `length` and `scale`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output Image
`dip_float` | `length` | Length
`dip_FloatArray` | `scale` | Scale
`dip_float` | `amplitude` | Amplitude

## SEE ALSO

`FTEllipsoid`, `FTSphere`, `FTCube`, `FTCross`, `FTGaussian`